Bug 240679 - system-config-printer comments application/octet-stream in /etc/cups/mime.types
system-config-printer comments application/octet-stream in /etc/cups/mime.types
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2007-05-19 20:59 EDT by I. Piasecki
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-21 04:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot with cups raw printers (41.77 KB, image/png)
2007-05-21 05:59 EDT, I. Piasecki
no flags Details

  None (edit)
Description I. Piasecki 2007-05-19 20:59:50 EDT
Description of problem:
We use now Centos 4.5 which is klone of Redhat Enterprise Linux 4.5. We noticed
that system-config-printer modyfied file /etc/cups/mime.types in such way: it
commented as default line with application/octet-stream, se we can not print any
more from windows clients: samba+CUPS+raw queues. We think, it shouldn't
happend, system-config-printers shouldn't change mime.types in such way. We
think it is bug in system-config-printer and it is located probably in
util/backend.py in def adjust_mime_type

Version-Release number of selected component (if applicable):

How reproducible: 
In simply way :)

Steps to Reproduce:
In /etc/cups/mime.types uncomment application/octet-stream then update or
install again system-config-printer - then application/octet-stream will be
commented again.
Actual results:
commenetd entry for application/octet-steram

Expected results:
don't modify our mime.types - we need uncommented entry: application/octet-stream

Additional info:
It is in Centos 4.5 but it should be for Red hat Linux 4.5, cause
system-config-printer is rebuild for redhat source RPM with no changes in source
Comment 1 Tim Waugh 2007-05-21 04:32:49 EDT
This is intentional behaviour.  Create a raw queue and you will have that entry

Note: in Red Hat Enterprise Linux 5 the mime.types file is not adjusted by
Comment 2 I. Piasecki 2007-05-21 05:59:12 EDT
Created attachment 155082 [details]
screenshot with cups raw printers

Hi. I agree, but we have many cups raw printers, see attachment,
system-config-printers shoudln't change our mime.types ! system-config-printer
don't see, that in our system is raw queue !! So it is bug. When i good
understand, when system-config-printer sees, that in system is one or more raw
queue doesn't comment application/octet-stream ?
Comment 3 Tim Waugh 2007-05-21 06:11:27 EDT
Unless you created those printers using system-config-printer, it will not know
about them.  I'm afraid this was how the tool was designed.  As I said, this
limitation is removed in Red Hat Enterprise Linux 5.

As a work-around you need to create a (dummy) raw queue using system-config-printer.
Comment 4 I. Piasecki 2007-05-21 06:34:40 EDT
Ok, we simply uninstalled system-config-printer - when we don't uses this tool
at all. Thx for Your time. Maybe, when resource will be available, this will be
fixed in RHEL 4 update 6 ...

Note You need to log in before you can comment on or make changes to this bug.